## nodejs 0.4.9

=== wscript ===
#!/usr/bin/env python

# Copyright Joyent, Inc. and other Node contributors.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to permit
# persons to whom the Software is furnished to do so, subject to the
# following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
# NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.

import re
import Options
import sys, os, shutil, glob
import Utils
from Utils import cmd_output
from os.path import join, dirname, abspath, normpath
from logging import fatal

cwd = os.getcwd()
APPNAME="node.js"

# Use the directory that this file is found in to find the tools
# directory where the js2c.py file can be found.
sys.path.append(sys.argv[0] + '/tools');
import js2c

srcdir = '.'
blddir = 'build'
supported_archs = ('arm', 'ia32', 'x64') # 'mips' supported by v8, but not node

jobs=1
if os.environ.has_key('JOBS'):
  jobs = int(os.environ['JOBS'])

def safe_path(path):
  return path.replace("\\", "/")

def canonical_cpu_type(arch):
  m = {'x86': 'ia32', 'i386':'ia32', 'x86_64':'x64', 'amd64':'x64'}
  if arch in m: arch = m[arch]
  if not arch in supported_archs:
    raise Exception("supported architectures are "+', '.join(supported_archs)+\
                    " but NOT '" + arch + "'.")
  return arch

def set_options(opt):
  # the gcc module provides a --debug-level option
  opt.tool_options('compiler_cxx')
  opt.tool_options('compiler_cc')
  opt.tool_options('misc')
  opt.add_option( '--libdir'
		, action='store'
		, type='string'
		, default=False
		, help='Install into this libdir [Default: ${PREFIX}/lib]'
		)
  opt.add_option( '--debug'
                , action='store_true'
                , default=False
                , help='Build debug variant [Default: False]'
                , dest='debug'
                )
  opt.add_option( '--profile'
                , action='store_true'
                , default=False
                , help='Enable profiling [Default: False]'
                , dest='profile'
                )
  opt.add_option( '--efence'
                , action='store_true'
                , default=False
                , help='Build with -lefence for debugging [Default: False]'
                , dest='efence'
                )

  opt.add_option( '--without-snapshot'
                , action='store_true'
                , default=False
                , help='Build without snapshotting V8 libraries. You might want to set this for cross-compiling. [Default: False]'
                , dest='without_snapshot'
                )

  opt.add_option( '--without-ssl'
                , action='store_true'
                , default=False
                , help='Build without SSL'
                , dest='without_ssl'
                )


  opt.add_option('--shared-v8'
                , action='store_true'
                , default=False
                , help='Link to a shared V8 DLL instead of static linking'
                , dest='shared_v8'
                )

  opt.add_option( '--shared-v8-includes'
                , action='store'
                , default=False
                , help='Directory containing V8 header files'
                , dest='shared_v8_includes'
                )

  opt.add_option( '--shared-v8-libpath'
                , action='store'
                , default=False
                , help='A directory to search for the shared V8 DLL'
                , dest='shared_v8_libpath'
                )

  opt.add_option( '--shared-v8-libname'
                , action='store'
                , default=False
                , help="Alternative lib name to link to (default: 'v8')"
                , dest='shared_v8_libname'
                )

  opt.add_option( '--openssl-includes'
                , action='store'
                , default=False
                , help='A directory to search for the OpenSSL includes'
                , dest='openssl_includes'
                )

  opt.add_option( '--openssl-libpath'
                , action='store'
                , default=False
                , help="A directory to search for the OpenSSL libraries"
                , dest='openssl_libpath'
                )

  opt.add_option( '--no-ssl2'
                , action='store_true'
                , default=False
                , help="Disable OpenSSL v2"
                , dest='openssl_nov2'
                )

  opt.add_option( '--gdb'
                , action='store_true'
                , default=False
                , help="add gdb support"
                , dest='use_gdbjit'
                )


  opt.add_option('--shared-cares'
                , action='store_true'
                , default=False
                , help='Link to a shared C-Ares DLL instead of static linking'
                , dest='shared_cares'
                )

  opt.add_option( '--shared-cares-includes'
                , action='store'
                , default=False
                , help='Directory containing C-Ares header files'
                , dest='shared_cares_includes'
                )

  opt.add_option( '--shared-cares-libpath'
                , action='store'
                , default=False
                , help='A directory to search for the shared C-Ares DLL'
                , dest='shared_cares_libpath'
                )


  opt.add_option('--shared-libev'
                , action='store_true'
                , default=False
                , help='Link to a shared libev DLL instead of static linking'
                , dest='shared_libev'
                )

  opt.add_option( '--shared-libev-includes'
                , action='store'
                , default=False
                , help='Directory containing libev header files'
                , dest='shared_libev_includes'
                )

  opt.add_option( '--shared-libev-libpath'
                , action='store'
                , default=False
                , help='A directory to search for the shared libev DLL'
                , dest='shared_libev_libpath'
                )

  opt.add_option( '--with-dtrace'
                , action='store_true'
                , default=False
                , help='Build with DTrace (experimental)'
                , dest='dtrace'
                )
 

  opt.add_option( '--product-type'
                , action='store'
                , default='program'
                , help='What kind of product to produce (program, cstaticlib '\
                       'or cshlib) [default: %default]'
                , dest='product_type'
                )

  opt.add_option( '--dest-cpu'
                , action='store'
                , default=None
                , help='CPU architecture to build for. Valid values are: '+\
                       ', '.join(supported_archs)
                , dest='dest_cpu'
                )




def configure(conf):
  conf.check_tool('compiler_cxx')
  if not conf.env.CXX: conf.fatal('c++ compiler not found')
  conf.check_tool('compiler_cc')
  if not conf.env.CC: conf.fatal('c compiler not found')

  o = Options.options

  if o.libdir:
    conf.env['LIBDIR'] = o.libdir
  else:
    conf.env['LIBDIR'] = conf.env['PREFIX'] + '/lib'

  conf.env["USE_DEBUG"] = o.debug
  # Snapshot building does noet seem to work on cygwin and mingw32
  conf.env["SNAPSHOT_V8"] = not o.without_snapshot and not sys.platform.startswith("win32")
  if sys.platform.startswith("sunos"):
    conf.env["SNAPSHOT_V8"] = False
  conf.env["USE_PROFILING"] = o.profile

  conf.env["USE_SHARED_V8"] = o.shared_v8 or o.shared_v8_includes or o.shared_v8_libpath or o.shared_v8_libname
  conf.env["USE_SHARED_CARES"] = o.shared_cares or o.shared_cares_includes or o.shared_cares_libpath
  conf.env["USE_SHARED_LIBEV"] = o.shared_libev or o.shared_libev_includes or o.shared_libev_libpath

  conf.env["USE_GDBJIT"] = o.use_gdbjit

  conf.check(lib='dl', uselib_store='DL')
  if not sys.platform.startswith("sunos") and not sys.platform.startswith("cygwin") and not sys.platform.startswith("win32"):
    conf.env.append_value("CCFLAGS", "-rdynamic")
    conf.env.append_value("LINKFLAGS_DL", "-rdynamic")

  if sys.platform.startswith("freebsd") or sys.platform.startswith("openbsd"):
    conf.check(lib='kvm', uselib_store='KVM')

  #if Options.options.debug:
  #  conf.check(lib='profiler', uselib_store='PROFILER')

  if Options.options.dtrace:
    if not sys.platform.startswith("sunos"):
      conf.fatal('DTrace support only currently available on Solaris')

    conf.find_program('dtrace', var='DTRACE', mandatory=True)
    conf.env["USE_DTRACE"] = True
    conf.env.append_value("CXXFLAGS", "-DHAVE_DTRACE=1")

  if Options.options.efence:
    conf.check(lib='efence', libpath=['/usr/lib', '/usr/local/lib'], uselib_store='EFENCE')

  if sys.platform.startswith("freebsd"):
     if not conf.check(lib="execinfo",
                       includes=['/usr/include', '/usr/local/include'],
                       libpath=['/usr/lib', '/usr/local/lib'],
                       uselib_store="EXECINFO"):
       conf.fatal("Install the libexecinfo port from /usr/ports/devel/libexecinfo.")

  if not Options.options.without_ssl:
    # Don't override explicitly supplied openssl paths with pkg-config results.
    explicit_openssl = o.openssl_includes or o.openssl_libpath

    # Disable ssl v2 methods
    if o.openssl_nov2:
      conf.env.append_value("CPPFLAGS", "-DOPENSSL_NO_SSL2=1")

    if not explicit_openssl and conf.check_cfg(package='openssl',
                                               args='--cflags --libs',
                                               uselib_store='OPENSSL'):
      Options.options.use_openssl = conf.env["USE_OPENSSL"] = True
      conf.env.append_value("CPPFLAGS", "-DHAVE_OPENSSL=1")
    else:
      if o.openssl_libpath: 
        openssl_libpath = [o.openssl_libpath]
      elif not sys.platform.startswith('win32'):
        openssl_libpath = ['/usr/lib', '/usr/local/lib', '/opt/local/lib', '/usr/sfw/lib']
      else:
        openssl_libpath = [normpath(join(cwd, '../openssl'))]

      if o.openssl_includes: 
        openssl_includes = [o.openssl_includes]
      elif not sys.platform.startswith('win32'):
        openssl_includes = [];
      else:
        openssl_includes = [normpath(join(cwd, '../openssl/include'))];

      openssl_lib_names = ['ssl', 'crypto']
      if sys.platform.startswith('win32'):
        openssl_lib_names += ['ws2_32', 'gdi32']

      libssl = conf.check_cc(lib=openssl_lib_names,
                             header_name='openssl/ssl.h',
                             function_name='SSL_library_init',
                             includes=openssl_includes,
                             libpath=openssl_libpath,
                             uselib_store='OPENSSL')

      libcrypto = conf.check_cc(lib='crypto',
                                header_name='openssl/crypto.h',
                                includes=openssl_includes,
                                libpath=openssl_libpath,
                                uselib_store='OPENSSL')

      if libcrypto and libssl:
        conf.env["USE_OPENSSL"] = Options.options.use_openssl = True
        conf.env.append_value("CPPFLAGS", "-DHAVE_OPENSSL=1")
      elif sys.platform.startswith('win32'):

=== deps/http_parser/CMakeLists.txt ===
include_directories (.)
add_library (http_parser http_parser.c)

=== deps/http_parser/Makefile ===
CPPFLAGS?=-Wall -Wextra -Werror -I.
OPT_DEBUG=$(CPPFLAGS) -O0 -g -DHTTP_PARSER_STRICT=1
OPT_FAST=$(CPPFLAGS) -O3 -DHTTP_PARSER_STRICT=0

CC?=gcc
AR?=ar


test: test_g test_fast
	./test_g
	./test_fast

test_g: http_parser_g.o test_g.o
	$(CC) $(OPT_DEBUG) http_parser_g.o test_g.o -o $@

test_g.o: test.c http_parser.h Makefile
	$(CC) $(OPT_DEBUG) -c test.c -o $@

test.o: test.c http_parser.h Makefile
	$(CC) $(OPT_FAST) -c test.c -o $@

http_parser_g.o: http_parser.c http_parser.h Makefile
	$(CC) $(OPT_DEBUG) -c http_parser.c -o $@

test-valgrind: test_g
	valgrind ./test_g

http_parser.o: http_parser.c http_parser.h Makefile
	$(CC) $(OPT_FAST) -c http_parser.c

test_fast: http_parser.o test.c http_parser.h
	$(CC) $(OPT_FAST) http_parser.o test.c -o $@

test-run-timed: test_fast
	while(true) do time ./test_fast > /dev/null; done

package: http_parser.o
	$(AR) rcs libhttp_parser.a http_parser.o

tags: http_parser.c http_parser.h test.c
	ctags $^

clean:
	rm -f *.o *.a test test_fast test_g http_parser.tar tags

.PHONY: clean package test-run test-run-timed test-valgrind

=== deps/libeio/wscript ===
import Options
import sys

def set_options(opt):
  pass
  #opt.tool_options('compiler_cc')

def configure(conf):
  print "--- libeio ---"
  #conf.check_tool('compiler_cc')

  conf.check(lib='pthread', uselib_store='PTHREAD')
  conf.check_cc(lib="pthread", header_name="pthread.h", function_name="pthread_create", mandatory=True)
  if sys.platform.startswith("cygwin"):
    conf.check_cc(lib="pthread", header_name="unistd.h", function_name="pthread_atfork", mandatory=True)
  elif sys.platform.startswith("win32"):
    conf.check_cc(lib="pthread", header_name="pthread.h", function_name="pthread_atfork")
  else:
    conf.check_cc(lib="pthread", header_name="pthread.h", function_name="pthread_atfork", mandatory=True)

  conf.check_cc(msg="Checking for futimes(2)", define_name="HAVE_FUTIMES", fragment="""
    #include <sys/types.h>
    #include <sys/time.h>
    #include <utime.h>
    struct timeval tv[2];
    int res;
    int fd;
    int main(void)
    {
       res = futimes (fd, tv);
       return 0;
    }
  """)

  conf.check_cc(msg="Checking for readahead(2)", define_name="HAVE_READAHEAD", fragment="""
    #include <fcntl.h>
    int main(void)
    {
       int fd = 0;
       size_t count = 2;
       ssize_t res;
       res = readahead (fd, 0, count);
       return 0;
    }
  """)

  conf.check_cc(msg="Checking for fdatasync(2)", define_name="HAVE_FDATASYNC", fragment="""
    #include <unistd.h>
    int main(void)
    {
       int fd = 0;
       fdatasync (fd);
       return 0;
    }
  """)

  conf.check_cc(msg="Checking for pread(2) and pwrite(2)", define_name="HAVE_PREADWRITE", fragment="""
    #include <unistd.h>
    int main(void)
    {
       int fd = 0;
       size_t count = 1;
       char buf;
       off_t offset = 1;
       ssize_t res;
       res = pread (fd, &buf, count, offset);
       res = pwrite (fd, &buf, count, offset);
       return 0;
    }
  """)

  conf.check_cc(msg="Checking for sendfile(2)" , define_name="HAVE_SENDFILE" , fragment=""" 
    # include <sys/types.h>
    #if __linux
    # include <sys/sendfile.h>
    #elif __FreeBSD__ || defined(__APPLE__)
    # include <sys/socket.h>
    # include <sys/uio.h>
    #elif __hpux
    # include <sys/socket.h>
    #else
    # error unsupported architecture
    #endif
    int main(void)
    {
       int fd = 0;
       off_t offset = 1;
       size_t count = 2;
       ssize_t res;
    #if __linux
       res = sendfile (fd, fd, offset, count);
    #elif __FreeBSD__
       res = sendfile (fd, fd, offset, count, 0, &offset, 0);
    #elif __APPLE__
       res = sendfile (fd, fd, offset, &offset, 0, 0);
    #elif __hpux
       res = sendfile (fd, fd, offset, count, 0, 0);
    #endif
       return 0;
    }
  """)

  conf.env.append_value("CCFLAGS", "-D_GNU_SOURCE")
  conf.check_cc(msg="Checking for sync_file_range(2) ", fragment="""
    #include <fcntl.h>
    int main(void)
    {
       int fd = 0;
       off64_t offset = 1;
       off64_t nbytes = 1;
       unsigned int flags = SYNC_FILE_RANGE_WAIT_BEFORE|SYNC_FILE_RANGE_WRITE|SYNC_FILE_RANGE_WAIT_AFTER;
       ssize_t res;
       res = sync_file_range (fd, offset, nbytes, flags);
       return 0;
    }
  """, define_name="HAVE_SYNC_FILE_RANGE")

def build(bld):
  libeio = bld.new_task_gen("cc")
  libeio.source = "eio.c"
  libeio.target = 'eio'
  libeio.name = 'eio'
  libeio.includes = '. ../..'
  libeio.uselib = "PTHREAD"
  libeio.install_path = None
  if bld.env["USE_DEBUG"]:
    libeio.clone("debug");
  if Options.options.product_type != 'program':
    libeio.ccflags = "-fPIC"
  bld.install_files('${PREFIX}/include/node/', 'eio.h');

=== deps/libev/wscript ===
import Options
import platform

PLATFORM_IS_DARWIN = platform.platform().find('Darwin') == 0
PLATFORM_IS_WIN32 = platform.platform().find('Win') >= 0

def set_options(opt):
  pass
  #opt.tool_options('compiler_cc')

def configure(conf):
  print "--- libev ---"
  #conf.check_tool('compiler_cc')

  # Why to the two checks? One is to define HAVE_SYS_EPOLL_H
  # the other is to define HAVE_EPOLL_CTL
  # Yes, WAF is a piece of shit.

  if conf.check_cc(header_name="sys/inotify.h"):
    conf.check_cc(header_name="sys/inotify.h", function_name="inotify_init")

  if conf.check_cc(header_name="sys/epoll.h"):
    conf.check_cc(header_name="sys/epoll.h", function_name="epoll_ctl")

  if conf.check_cc(header_name="port.h"):
    conf.check_cc(header_name="port.h", function_name="port_create")

  if conf.check_cc(header_name="poll.h"):
    conf.check_cc(header_name="poll.h", function_name="poll")

  conf.check_cc(header_name="sys/event.h")
  conf.check_cc(header_name="sys/queue.h")
  if PLATFORM_IS_DARWIN:
    conf.check_cc(header_name="sys/event.h", function_name="kqueue")
  else:
    conf.check_cc(header_name="sys/queue.h", function_name="kqueue")

  if PLATFORM_IS_WIN32:
    # Windows has sys/select.h and select but this config line doesn't detect it properly
    conf.define('HAVE_SYS_SELECT_H', 1);
    conf.define('HAVE_SELECT', 1);
  else:
    if conf.check_cc(header_name="sys/select.h"):
      conf.check_cc(header_name="sys/select.h", function_name="select")

  if conf.check_cc(header_name="sys/eventfd.h"):
    conf.check_cc(header_name="sys/eventfd.h", function_name="eventfd")


  code = """
      #include <syscall.h>
      #include <time.h>
      #include <stdio.h>

      int main() {
          struct timespec ts; 
          int status = syscall(SYS_clock_gettime, CLOCK_REALTIME, &ts);
          return 0;
      }
  """
  conf.check_cc(fragment=code, define_name="HAVE_CLOCK_SYSCALL", execute=True,
                msg="Checking for SYS_clock_gettime")

  have_librt = conf.check(lib='rt', uselib_store='RT')
  if have_librt:
    conf.check_cc(lib="rt", header_name="time.h", function_name="clock_gettime")
  if PLATFORM_IS_DARWIN:
    conf.check_cc(header_name="time.h", function_name="nanosleep")
  elif have_librt:
    conf.check_cc(lib="rt", header_name="time.h", function_name="nanosleep")

  conf.check_cc(lib="m", header_name="math.h", function_name="ceil")

  conf.define("HAVE_CONFIG_H", 1)
  # Not using these.
  conf.env.append_value('CPPFLAGS', ['-DEV_FORK_ENABLE=0',
                                     '-DEV_EMBED_ENABLE=0',
                                     '-DEV_MULTIPLICITY=0'])

def build(bld):
  libev = bld.new_task_gen("cc")
  libev.source = 'ev.c'
  libev.target = 'ev'
  libev.name = 'ev'
  libev.includes = '. ../..'
  libev.uselib = "RT"
  libev.install_path = None
  if bld.env["USE_DEBUG"]:
    libev.clone("debug");
  bld.install_files('${PREFIX}/include/node/', 'ev.h');

=== debian/changelog ===
nodejs (0.4.9-1ubuntu3) oneiric; urgency=low

  * 2007_remove_internet_test.patch: updated to remove more one test that needs
    internet connections (test-net-connect-timeout)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 30 Jun 2011 19:48:43 +0200

nodejs (0.4.9-1ubuntu2) oneiric; urgency=low

  * debian/patches/2007_remove_internet_test.patch: updated to remove
    test-regress-GH-819 test, as it requires internet connection

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 30 Jun 2011 07:42:26 +0200

nodejs (0.4.9-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (LP: #786428). Remaining changes:
    - debian/patches/2007_remove_internet_test.patch: Remove test which requires
      internet connection

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 30 Jun 2011 07:03:44 +0200

nodejs (0.4.9-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/patches,
    remove 1001_no_ssl_v2.patch, applied upstream.
  * deps/http_parser.c based on expat-licensed work of Igor Sysoev.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 29 Jun 2011 16:46:47 +0200

nodejs (0.4.8-1) unstable; urgency=low

  * New upstream release,
    Closes: bug#628148.
  * Depends on libv8 3.1.8.22
  * Refresh debian/patches 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 26 Jun 2011 23:08:01 +0200

nodejs (0.4.7-1) unstable; urgency=low

  * New upstream release
  * Bump policy compliance to standards-version 3.9.2.
  * debian/watch : remove call to uupdate, it is annoying since
    updates are done with git-import-orig. 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 23 Apr 2011 18:42:42 +0200

nodejs (0.4.6-2) unstable; urgency=low

  * Expect some tests to fail when run without network.
    Closes: bug#623374.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 19 Apr 2011 22:17:37 +0200

nodejs (0.4.6-1) unstable; urgency=low

  * New upstream release

  [ Jérémy Lal ]
  * Unfuzz patches.
  * Update debian/copyright, now copyright Joyent.
  * Drop SSL2 methods, see #589706.
    Closes: bug#622065.
  * Disable multicast test: Too dependent on network config.
  * Allow Debian-Maintainer uploads.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix relabel OpenBSD license as OpenBSD~Lucent: Disclaimer is
      derived.
    + Fix comma-delimit files, and (while at it) newline-delimit them
      for improved readability.
    + Compact and extend copyright years.
  * Enable copyright-check.
    Build-depend on devscripts.
  * Add copyright hints.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Apr 2011 05:05:30 +0200

nodejs (0.4.2-1) experimental; urgency=low

  * New upstream release

  [ Jérémy Lal ]
  * Enable regression tests, without failing when targeted experimental.
  * Unfuzz patches.
  * Tighten build-dependency on libev-dev, to match new upstream source.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 10:45:08 +0100

nodejs (0.2.6-5) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update team-maintainance:
    + Set Debian Javascript Maintainers as maintainer.
    + Set Jérémy Lal, Dave Beckett and myself as uploaders.
  * Bump policy compliance to standards-version 3.9.2.
  * Recompile against newer libv8.
    Closes: bug#622623. Thanks to Adrian Knoth.
  * Unfuzz patches.

  [ Jérémy Lal ]
  * Update git-buildpackage config : add commented lines explaining
    layout.
  * Allow Debian-Maintainer uploads.
  * Add patch 1001 to disable ssl2 methods.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Apr 2011 23:33:09 +0200

=== debian/control ===
Source: nodejs
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Dave Beckett <dajobe@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
DM-Upload-Allowed: yes
Build-Depends: devscripts (>= 2.10.7~),
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 python,
 libev-dev (>= 4.0),
 libv8-dev (>= 3.1.8.22),
 scons (>= 1.2.0),
 libc-ares-dev (>= 1.7.3),
 binutils,
 libssl-dev (>= 0.9.8),
 pkg-config,
 bash-completion,
 curl
Standards-Version: 3.9.2
Homepage: http://nodejs.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/nodejs.git
Vcs-Git: git://git.debian.org/git/collab-maint/nodejs.git

Package: nodejs-dev
Section: devel
Architecture: any
Depends: nodejs (= ${binary:Version}),
 ${misc:Depends},
 python,
 libev-dev (>= 4.0),
 libv8-dev (>= 3.1.8.22),
 libc-ares-dev (>= 1.7.3),
 libssl-dev (>= 0.9.8)
Description: Development files for Node.js
 Node.js provides an event-based server-side javascript engine.
 .
 It is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 Node.js takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 This package is needed to build plugins.

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: node
Description: Node.js event-based server-side javascript engine
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.

Package: nodejs-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends},
 nodejs (= ${binary:Version})
Suggests: libv8-dbg
Description: Node.js event-based server-side javascript engine (debug)
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_UPSTREAM_URL = http://nodejs.org/dist
DEB_UPSTREAM_TARBALL_BASENAME = node-v$(DEB_UPSTREAM_TARBALL_VERSION)

# suppress checking binary files, to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/joyent-logo_orange_nodeorg-01\.png|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_CONFIGURE_NORMAL_ARGS = ""
DEB_CONFIGURE_EXTRA_FLAGS = --debug --shared-v8 --shared-cares --shared-libev --no-ssl2
DEB_CONFIGURE_SCRIPT_ENV += PREFIX="/usr"
DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_MAKE_CLEAN_TARGET = clean
#  * relax regression tests when targeted experimental suite
exp-relax-check := $(if $(shell dpkg-parsechangelog | grep -Fx 'Distribution: experimental'),-i)
DEB_MAKE_CHECK_TARGET = $(exp-relax-check) test

# properly clean files from build, waf, test, python
clean::
	rm -f node
	rm -f node_g
	rm -f .lock-wscript
	rm -rf build
	rm -f test/fixtures/hello.txt
	rm -rf test/tmp
	find . -name "*.pyc" -delete

# we have completion for nodejs-waf
install/nodejs-dev::
	dh_bash-completion

# rename and install binary in nodejs-dbg
install/nodejs-dbg::
	mv $(CURDIR)/debian/tmp/usr/bin/node_g $(CURDIR)/debian/nodejs-dbg/usr/lib/debug/usr/bin/node

=== debian/watch ===
version=3
http://nodejs.org/dist/node-v(\d+\.[02468]\..*).tar.gz
